<div class="login-form">
  <h1>Login Form</h1>
  <form #userlogin = "ngForm" (ngSubmit) = "onClickSubmit(userlogin.value)">
    <input type="text" name="username" placeholder="username" ngModel required>
    <input type="password" name="password" placeholder="password" ngModel required>
    <input type="submit">
    <label> <a [routerLink]="['/register']" class="btn btn-link">Register</a></label> 
  
    <div [ngStyle]="{'color': success    ? 'green' : 'red'}">
      {{message}}
    </div>  
    
  </form>
</div>

